
//gcc -g -Wall -o testmsg totem-message-connection.c main.c `pkg-config --libs --cflags glib-2.0`

#include "bacon-message-connection.h"

void
print_stuff (const char *msg, gpointer user_data)
{
	g_print ("msg: %s\n", msg);
}

int
main (int argc, char **argv)
{
	BaconMessageConnection *conn;

	conn = bacon_message_connection_new ("totem");
	if (conn == NULL)
	{
		g_message ("Couldn't connect");
		return 1;
	}

	if (bacon_message_connection_get_is_server (conn) == TRUE)
	{
		GMainLoop *loop;
		g_message ("I'm a server");

		bacon_message_connection_set_callback (conn, print_stuff, NULL);
		loop = g_main_loop_new (NULL, FALSE);
		g_main_loop_run (loop);
	} else {
		g_message ("I'm a client");
		bacon_message_connection_send (conn, argv[1] ? argv[1] : "Foobar\0");
		bacon_message_connection_free (conn);
	}

	return 0;
}

